# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without repolib

%global jmailver %{version}
%global jmail_priority 14401

%define reltag _redhat_1
%define namedreltag -redhat-1
%global namedversion %{version}%{?namedreltag}

Name:           glassfish-javamail
Version:        1.4.4
Release:        13%{?reltag}%{?dist}
Epoch:          0
Summary:        Glassfish - JavaMail API
Group:          Development/Java
License:        CDDL
URL:            http://glassfish.dev.java.net/
%if 0
hg -q clone -r JAVAMAIL-1_4_4 https://kenai.com/hg/javamail~mercurial glassfish-javamail-1.4.4 && tar cjf glassfish-javamail-1.4.4.tar.bz2 glassfish-javamail-1.4.4
%endif
Source0:        glassfish-javamail-1.4.4.tar.bz2
Patch0:         glassfish-javamail-pom.patch
Patch1:         glassfish-javamail-servlet-http.patch
Provides:       javamail = 0:%{jmailver}
Provides:       javamail-monolithic = 0:%{jmailver}
Provides:       javamail_1_4_api = %{epoch}:%{version}-%{release}
Provides:       javamail_api = 0:%{jmailver}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires(post): %{_sbindir}/update-alternatives
Requires(preun): %{_sbindir}/update-alternatives
Requires:       jpackage-utils
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  jboss-parent
BuildRequires:  jboss-specs-parent
BuildRequires:  jboss-jsp-api_2.2_spec
BuildRequires:  jboss-servlet-api_3.0_spec
BuildRequires:  maven2
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-bundle-plugin
BuildRequires:  jboss-parent
# FIXME: this is a RHEL 5 hack due to not being able to build xstream
BuildRequires:  xpp3-minimal
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JavaMail API from GlassFish.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Provides:       javamail-javadoc = 0:%{jmailver}
Requires:       jpackage-utils

%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q
%patch0 -p1 -b .sav0
%patch1 -p1 -b .sav1

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file://`pwd`/maven2-brew
export MAVEN_OPTS="-Xms1g -Xmx1g"
# XXX: test will fail without network
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} -Dmail.osgiversion=%{namedversion} -Dmaven.test.failure.ignore package deploy

prevversion=`%{_bindir}/find maven2-brew -type d \( -name '[0-9]*' -a -not -name %{namedversion} \) -print -quit`
[ -z "${prevversion}" ] || prevversion=`/bin/basename ${prevversion}` && for d in `%{_bindir}/find maven2-brew -type d -name ${prevversion}`; do
    %{__mv} ${d}/* `/bin/echo ${d} | %{__sed} -e 's|'${prevversion}'|%{namedversion}|;'`/
    %{__rm} -r ${d}/
done

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p maven2-brew/com/sun/mail/client/%{namedversion}/client-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/client-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/client/%{namedversion}/client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/client-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/demo/%{namedversion}/demo-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/demo-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/demo/%{namedversion}/demo-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/demo-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/dsn/%{namedversion}/dsn-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/dsn-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/dsn/%{namedversion}/dsn-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/dsn-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/imap/%{namedversion}/imap-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/imap-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/imap/%{namedversion}/imap-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/imap-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/javax.mail/%{namedversion}/javax.mail-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/javax.mail-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/javax.mail/%{namedversion}/javax.mail-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/javax.mail-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/logging/%{namedversion}/logging-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/logging-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/logging/%{namedversion}/logging-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/logging-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/mailapi/%{namedversion}/mailapi-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/mailapi-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/mbox/%{namedversion}/mbox-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/mbox-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/mbox/%{namedversion}/mbox-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/mbox-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/outlook/%{namedversion}/outlook-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/outlook-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/outlook/%{namedversion}/outlook-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/outlook-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/pop3/%{namedversion}/pop3-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/pop3-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/pop3/%{namedversion}/pop3-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/pop3-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/servlet/%{namedversion}/servlet-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/servlet-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/servlet/%{namedversion}/servlet-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/servlet-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/smtp/%{namedversion}/smtp-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/smtp-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/smtp/%{namedversion}/smtp-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/smtp-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/taglib/%{namedversion}/taglib-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/taglib-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/taglib/%{namedversion}/taglib-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/taglib-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/com/sun/mail/webapp/%{namedversion}/webapp-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/webapp-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/javax/mail/javax.mail-api/%{namedversion}/javax.mail-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/javax.mail-api-%{namedversion}.jar
%{__cp} -p maven2-brew/javax/mail/mail/%{namedversion}/mail-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/mail-%{namedversion}.jar
%{__cp} -p maven2-brew/com/sun/mail/webapp/%{namedversion}/webapp-%{namedversion}.war %{buildroot}%{_javadir}/%{name}/webapp-%{namedversion}.war
pushd %{buildroot}%{_javadir}
%{__ln_s} %{name}/mail-%{namedversion}.jar %{name}-monolithic-%{namedversion}.jar
%{__ln_s} %{name}-monolithic-%{namedversion}.jar %{name}-%{namedversion}.jar
popd
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/com/sun/mail/all/%{namedversion}/all-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-all.pom
%{__cp} -p maven2-brew/com/sun/mail/client/%{namedversion}/client-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-client.pom
%{__cp} -p maven2-brew/com/sun/mail/demo/%{namedversion}/demo-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-demo.pom
%{__cp} -p maven2-brew/com/sun/mail/dsn/%{namedversion}/dsn-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-dsn.pom
%{__cp} -p maven2-brew/com/sun/mail/imap/%{namedversion}/imap-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-imap.pom
%{__cp} -p maven2-brew/com/sun/mail/javadoc/%{namedversion}/javadoc-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-javadoc.pom
%{__cp} -p maven2-brew/com/sun/mail/javax.mail/%{namedversion}/javax.mail-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-javax.mail.pom
%{__cp} -p maven2-brew/com/sun/mail/logging/%{namedversion}/logging-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-logging.pom
%{__cp} -p maven2-brew/com/sun/mail/mailapi/%{namedversion}/mailapi-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-mailapi.pom
%{__cp} -p maven2-brew/com/sun/mail/mbox/%{namedversion}/mbox-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-mbox.pom
%{__cp} -p maven2-brew/com/sun/mail/outlook/%{namedversion}/outlook-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-outlook.pom
%{__cp} -p maven2-brew/com/sun/mail/pop3/%{namedversion}/pop3-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-pop3.pom
%{__cp} -p maven2-brew/com/sun/mail/servlet/%{namedversion}/servlet-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-servlet.pom
%{__cp} -p maven2-brew/com/sun/mail/smtp/%{namedversion}/smtp-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-smtp.pom
%{__cp} -p maven2-brew/com/sun/mail/taglib/%{namedversion}/taglib-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-taglib.pom
%{__cp} -p maven2-brew/com/sun/mail/webapp/%{namedversion}/webapp-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-webapp.pom
%{__cp} -p maven2-brew/javax/mail/javax.mail-api/%{namedversion}/javax.mail-api-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-javax.mail-api.pom
%{__cp} -p maven2-brew/javax/mail/mail/%{namedversion}/mail-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-mail.pom

# depmaps
%add_to_maven_depmap com.sun.mail all %{namedversion} JPP/%{name} all
%add_to_maven_depmap com.sun.mail client %{namedversion} JPP/%{name} client
%add_to_maven_depmap com.sun.mail demo %{namedversion} JPP/%{name} demo
%add_to_maven_depmap com.sun.mail dsn %{namedversion} JPP/%{name} dsn
%add_to_maven_depmap com.sun.mail imap %{namedversion} JPP/%{name} imap
%add_to_maven_depmap com.sun.mail javadoc %{namedversion} JPP/%{name} javadoc
%add_to_maven_depmap com.sun.mail javax.mail %{namedversion} JPP/%{name} javax.mail
%add_to_maven_depmap com.sun.mail logging %{namedversion} JPP/%{name} logging
%add_to_maven_depmap com.sun.mail mailapi %{namedversion} JPP/%{name} mailapi
%add_to_maven_depmap com.sun.mail mbox %{namedversion} JPP/%{name} mbox
%add_to_maven_depmap com.sun.mail outlook %{namedversion} JPP/%{name} outlook
%add_to_maven_depmap com.sun.mail pop3 %{namedversion} JPP/%{name} pop3
%add_to_maven_depmap com.sun.mail servlet %{namedversion} JPP/%{name} servlet
%add_to_maven_depmap com.sun.mail smtp %{namedversion} JPP/%{name} smtp
%add_to_maven_depmap com.sun.mail taglib %{namedversion} JPP/%{name} taglib
%add_to_maven_depmap com.sun.mail webapp %{namedversion} JPP/%{name} webapp
%add_to_maven_depmap javax.mail javax.mail-api %{namedversion} JPP/%{name} javax.mail-api
%add_to_maven_depmap javax.mail mail %{namedversion} JPP/%{name} mail

/bin/touch %{buildroot}%{_javadir}/javamail.jar
/bin/touch %{buildroot}%{_javadir}/javamail_api.jar
/bin/touch %{buildroot}%{_javadir}/javamail_1_4_api.jar

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__cp} -pr javadoc/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%{_sbindir}/update-alternatives --install %{_javadir}/javamail.jar javamail %{_javadir}/%{name}/mail.jar %{jmail_priority}
%{_sbindir}/update-alternatives --install %{_javadir}/javamail_api.jar javamail_api %{_javadir}/%{name}/mail.jar %{jmail_priority}
%{_sbindir}/update-alternatives --install %{_javadir}/javamail_1_4_api.jar javamail_1_4_api %{_javadir}/%{name}/mail.jar %{jmail_priority}
%update_maven_depmap

%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove javamail %{_javadir}/%{name}/mail.jar
    %{_sbindir}/update-alternatives --remove javamail_api %{_javadir}/%{name}/mail.jar
    %{_sbindir}/update-alternatives --remove javamail_1_4_api %{_javadir}/%{name}/mail.jar
fi

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}/client-%{namedversion}.jar
%{_javadir}*/%{name}/client.jar
%{_javadir}*/%{name}/client-%{namedversion}-sources.jar
%{_javadir}*/%{name}/client-sources.jar
%{_javadir}*/%{name}/demo-%{namedversion}.jar
%{_javadir}*/%{name}/demo.jar
%{_javadir}*/%{name}/demo-%{namedversion}-sources.jar
%{_javadir}*/%{name}/demo-sources.jar
%{_javadir}*/%{name}/dsn-%{namedversion}.jar
%{_javadir}*/%{name}/dsn.jar
%{_javadir}*/%{name}/dsn-%{namedversion}-sources.jar
%{_javadir}*/%{name}/dsn-sources.jar
%{_javadir}*/%{name}/imap-%{namedversion}.jar
%{_javadir}*/%{name}/imap.jar
%{_javadir}*/%{name}/imap-%{namedversion}-sources.jar
%{_javadir}*/%{name}/imap-sources.jar
%{_javadir}*/%{name}/javax.mail-%{namedversion}.jar
%{_javadir}*/%{name}/javax.mail.jar
%{_javadir}*/%{name}/javax.mail-%{namedversion}-sources.jar
%{_javadir}*/%{name}/javax.mail-sources.jar
%{_javadir}*/%{name}/logging-%{namedversion}.jar
%{_javadir}*/%{name}/logging.jar
%{_javadir}*/%{name}/logging-%{namedversion}-sources.jar
%{_javadir}*/%{name}/logging-sources.jar
%{_javadir}*/%{name}/mailapi-%{namedversion}.jar
%{_javadir}*/%{name}/mailapi.jar
%{_javadir}*/%{name}/mbox-%{namedversion}.jar
%{_javadir}*/%{name}/mbox.jar
%{_javadir}*/%{name}/mbox-%{namedversion}-sources.jar
%{_javadir}*/%{name}/mbox-sources.jar
%{_javadir}*/%{name}/outlook-%{namedversion}.jar
%{_javadir}*/%{name}/outlook.jar
%{_javadir}*/%{name}/outlook-%{namedversion}-sources.jar
%{_javadir}*/%{name}/outlook-sources.jar
%{_javadir}*/%{name}/pop3-%{namedversion}.jar
%{_javadir}*/%{name}/pop3.jar
%{_javadir}*/%{name}/pop3-%{namedversion}-sources.jar
%{_javadir}*/%{name}/pop3-sources.jar
%{_javadir}*/%{name}/servlet-%{namedversion}.jar
%{_javadir}*/%{name}/servlet.jar
%{_javadir}*/%{name}/servlet-%{namedversion}-sources.jar
%{_javadir}*/%{name}/servlet-sources.jar
%{_javadir}*/%{name}/smtp-%{namedversion}.jar
%{_javadir}*/%{name}/smtp.jar
%{_javadir}*/%{name}/smtp-%{namedversion}-sources.jar
%{_javadir}*/%{name}/smtp-sources.jar
%{_javadir}*/%{name}/taglib-%{namedversion}.jar
%{_javadir}*/%{name}/taglib.jar
%{_javadir}*/%{name}/taglib-%{namedversion}-sources.jar
%{_javadir}*/%{name}/taglib-sources.jar
%{_javadir}*/%{name}/webapp-%{namedversion}-sources.jar
%{_javadir}*/%{name}/webapp-sources.jar
%{_javadir}*/%{name}/javax.mail-api-%{namedversion}.jar
%{_javadir}*/%{name}/javax.mail-api.jar
%{_javadir}*/%{name}/mail-%{namedversion}.jar
%{_javadir}*/%{name}/mail.jar
%{_javadir}*/%{name}/webapp-%{namedversion}.war
%{_javadir}*/%{name}/webapp.war
%{_mavenpomdir}/JPP.%{name}-all.pom
%{_mavenpomdir}/JPP.%{name}-client.pom
%{_mavenpomdir}/JPP.%{name}-demo.pom
%{_mavenpomdir}/JPP.%{name}-dsn.pom
%{_mavenpomdir}/JPP.%{name}-imap.pom
%{_mavenpomdir}/JPP.%{name}-javadoc.pom
%{_mavenpomdir}/JPP.%{name}-javax.mail.pom
%{_mavenpomdir}/JPP.%{name}-logging.pom
%{_mavenpomdir}/JPP.%{name}-mailapi.pom
%{_mavenpomdir}/JPP.%{name}-mbox.pom
%{_mavenpomdir}/JPP.%{name}-outlook.pom
%{_mavenpomdir}/JPP.%{name}-pop3.pom
%{_mavenpomdir}/JPP.%{name}-servlet.pom
%{_mavenpomdir}/JPP.%{name}-smtp.pom
%{_mavenpomdir}/JPP.%{name}-taglib.pom
%{_mavenpomdir}/JPP.%{name}-webapp.pom
%{_mavenpomdir}/JPP.%{name}-javax.mail-api.pom
%{_mavenpomdir}/JPP.%{name}-mail.pom
%{_mavendepmapfragdir}/%{name}
%doc doc/release/*.txt
%dir %{_javadir}*/%{name}
%exclude %dir %{_javadocdir}/*
%ghost %{_javadir}*/javamail.jar
%ghost %{_javadir}*/javamail_api.jar
%ghost %{_javadir}*/javamail_1_4_api.jar
%{_javadir}*/%{name}-monolithic-%{namedversion}.jar
%{_javadir}*/%{name}-monolithic.jar
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Fri Jun 15 2012 David Walluck <dwalluck@redhat.com> 0:1.4.4-13
- force BuildRequires on xpp3-minimal (for xstream)

* Thu Jun 14 2012 David Walluck <dwalluck@redhat.com> 0:1.4.4-12
- allow tests to fail (requires networking)
- workaround deploy bug

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.4.4-11
- Remove javadoc from main package

* Thu May 24 2012 David Walluck <dwalluck@redhat.com> 0:1.4.4-10
- fix depmaps
- update alternatives priority to 14401

* Thu May 24 2012 David Walluck <dwalluck@redhat.com> 0:1.4.4-9
- add %%{name}-monolithic and %%{name} jars for backwards compat

* Wed Apr 11 2012 David Walluck <dwalluck@redhat.com> 0:1.4.4-8
- disable javadoc -use (NPE)

* Thu Apr 05 2012 David Walluck <dwalluck@redhat.com> 0:1.4.4-7
- build with maven
- fix file locations
- fix repolib file ownership
- remove unused files
- remove license jar (use included txt)

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4.4-6_redhat_1.1
- Rebuild using cache signing

* Mon Feb 06 2012 Yong Yang <yyang@redhat.com> 0:1.4.4-6_redhat_1
- Fix pom location in -repolib

* Fri Feb 03 2012 Yong Yang <yyang@redhat.com> 0:1.4.4-5_redhat_1
- Latest vman and resign

* Wed Feb 01 2012 Fernando Nasser <fnasser@redhat.com> 0:1.4.4-4_redhat_1.1
- Remove JAF dependency

* Tue Aug 30 2011 Yong Yang <huwang@redhat.com> 0:1.4.4-4_redhat_1
- Fix pom location in repolib

* Tue Aug 30 2011 Yong Yang <yyang@redhat.com> 0:1.4.4-3_redhat_1
- Build for Werewolf

* Wed Jul 06 2011 Yong Yang <yyang@redhat.com> 0:1.4.4-2
- Specify -Dversion to mvn-jpp

* Wed Jul 06 2011 Yong Yang <yyang@redhat.com> 0:1.4.4-1
- Upgrade to 1.4.4

* Thu Jan 20 2011 Hui Wang <huwang@redhat.com> 0:1.4.2-2
- Rebuild 

* Tue Nov 30 2010 Hui Wang <huwang@redhat.com> 0:1.4.2-1
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars

* Mon Nov 01 2010 David Walluck <dwalluck@redhat.com> 0:1.4.2-0.4
- add javamail alternatives and Provides

* Tue Aug 31 2010 Fernando Nasser <fnasser@redhat.com> 0:1.4.2-0.3.2
- Fix alternatives priority
- Install pom in repolib

* Wed May 05 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.4.2-0.3.1
- rebuilt

* Fri Apr 02 2010 Yong Yang <yyang@redhat.com> 0:1.4.2-0.3
- Rebuild

* Wed Aug 12 2009 David Walluck <dwalluck@redhat.com> 0:1.4.2-0.2
- use simplified pom

* Tue Aug 11 2009 David Walluck <dwalluck@redhat.com> 0:1.4.2-0.1
- 1.4.2
- fix Requires

* Mon Apr 13 2009 David Walluck <dwalluck@redhat.com> 0:1.4.0-4
- fix repolib
- rename repolib location to sun-javamail to match upstream

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:1.4.0-3
- remove javadoc Requires(post)
- fix repolib location

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:1.4.0-2
- quiet setup
- use macros
- fix %%doc
- change repolib component id
- peroperly unpack sources
- update BuildRoot
- fix repolib permissions
- fix maven directory ownership

* Mon Jun 02 2008 Permaine Cheung <pcheung@redhat.com> 0:1.4.0-1
- First JPP 5 build

* Mon Mar 31 2008 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.9
- Removed the post/postun javadoc sections (Taken care of by install and files javadoc sections)

* Fri Nov 23 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-0jpp.ep1.8
- Revert to sun-javamail name due to buildmagic

* Fri Nov 23 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.7
- Build with debug info

* Fri Nov 23 2007 Fernando Nasser <fnasser@redhat.com> 0:1.4.0-0jpp.ep1.6
- Parametrize component-info contents

* Thu Nov 22 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.5
- Adding component-info.xml
- Change the repodir to glassfish/javamail

* Tue Nov 20 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.4
- Adding in pom stuff

* Fri Nov 16 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.3
- Adding glassfish-jaf to the classpath

* Fri Nov 16 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.2
- Rebuild

* Thu Nov 15 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.4.0-0jpp.ep1.1
- First release.
